## org.apache.axis.wsdl.symbolTable
Class BindingEntry.OperationAttr

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.BindingEntry.OperationAttr

Enclosing class:
  BindingEntry

protected static class BindingEntry.OperationAttr
extends java.lang.Object

Contains attributes for Operations - Body type: encoded or literal

Constructor Summary
`BindingEntry.OperationAttr()`
`BindingEntry.OperationAttr(Use inputBodyType, Use outputBodyType, java.util.HashMap faultBodyTypeMap)`

Method Summary
`java.util.HashMap` `getFaultBodyTypeMap()`
`Use` `getInputBodyType()`
`Use` `getOutputBodyType()`
`protected void` `setFaultBodyTypeMap(java.util.HashMap faultBodyTypeMap)`
`protected void` `setInputBodyType(Use inputBodyType)`
`protected void` `setOutputBodyType(Use outputBodyType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingEntry.OperationAttr

    public BindingEntry.OperationAttr(Use inputBodyType,
                                      Use outputBodyType,
                                      java.util.HashMap faultBodyTypeMap)

### BindingEntry.OperationAttr

    public BindingEntry.OperationAttr()

Method Detail

### getInputBodyType

    public Use getInputBodyType()

### setInputBodyType

    protected void setInputBodyType(Use inputBodyType)

### getOutputBodyType

    public Use getOutputBodyType()

### setOutputBodyType

    protected void setOutputBodyType(Use outputBodyType)

### getFaultBodyTypeMap

    public java.util.HashMap getFaultBodyTypeMap()

### setFaultBodyTypeMap

    protected void setFaultBodyTypeMap(java.util.HashMap faultBodyTypeMap)

Copyright © 2003 Apache Web Services Project. All Rights Reserved.